% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/toporanga.R
\name{window_epochs}
\alias{window_epochs}
\title{Moving window epoch generator}
\usage{
window_epochs(n, window, t)
}
\arguments{
\item{n}{number of epochs.
Silently capped to the number of events, if larger.
Inferred from \code{window} if missing.}

\item{window}{size of the moving window; if \code{t} is given, in the units of time, otherwise in event count.
Set to \code{range/n} if not given.
Larger windows are just made overlapping.}

\item{t}{optional event times, vector of a same length and order as the event log given to \code{toporanga} function.
When given, epochs will be generated based on equal-time breaks not equal-event-number breaks.}
}
\value{
A special function that can be passed to the \code{epochs} argument of \code{toporanga} function.
}
\description{
Splits the event log into cumulative epochs, i.e., starting from the start up to selected number of final points.
Returns an object which has to be fed into \code{epochs} argument of \code{toporanga} function.
}
\note{
If time is not given, event log must be sorted; otherwise, epochs will not make any sense.
}
